#<profile4xi profile = "01" />
# -------------------------------------------------------------------------------------------------
#<program4xi program = "authentication4xi.py">
#<abstract4xi abstract = "provides class AuthenticationError4Xi" />
#<refer4xi reference = "__init__.py" />
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------


# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'AuthenticationError4Xi' ]
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
try:                 # system ones
    import os
    import sys
    import signal
except:
    pass
try:                 # threading ones       
    import threading                
    import _thread   
except:
    pass
try:
    import _winapi
except:
    pass    
       
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
try:                             # Binary ones
    import _multiprocessing
except:
    pass
#"
#/>
 
# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from ace_object4xi import ace_object4xi
from processerror4xi import ProcessError4Xi
from print4xi import print4xi
from reason_object4xi import reason_object4xi
from sense_object4xi import sense_object4xi
from time4xi import time4xi
#"
#/>


# =================================================================================================
#<class4xi class = "AuthenticationError4Xi" base = "ProcessError4Xi" child = "None" synopsis = "
#  handles authentication errors
#"
#>
#<state4xi status = "ACK4review; ACK4tagging; NACK4moduletesting; NACK4systemtesting"/>
# =================================================================================================
class AuthenticationError4Xi(ProcessError4Xi):
   '''
   AuthenticationError4Xi: handles authentication errors
   '''    
   # ---------------------------------------------------------------------------------------------
   # Public API of this class
   # ---------------------------------------------------------------------------------------------    
   #<expose4xi expose = "
     
   #"
   #/>
                                    
   
   class2print = 'AuthenticationError4Xi'
   method2print = '__init__'
    
   message2print = "{started" + "; init-of-AuthenticationError4Xi-started: AuthenticationError4Xi"  + "; time: " + time4xi() + "}"
   print4xi(class2print, method2print, message2print)              
  

   pass    
    
   message2print = "{returning" + "; AuthenticationError4Xi-returning: " + time4xi() + "}" 
   print4xi(class2print, method2print, message2print)        



#</class4xi>

#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_none4xi.txt
#   sense-test-none4xi.xml
#   reason-test-none4xi.xml
#   ace-test-none4xi.xml
#"
#>


# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>

    
    




#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of authentication4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>



